## org.w3c.css.sac
Interface CharacterDataSelector

All Superinterfaces:
  Selector, SimpleSelector

public interface CharacterDataSelector
extends SimpleSelector

See Also:
  `Selector.SAC_TEXT_NODE_SELECTOR`, `Selector.SAC_CDATA_SECTION_NODE_SELECTOR`, `Selector.SAC_COMMENT_NODE_SELECTOR`

Field Summary

Fields inherited from interface org.w3c.css.sac.Selector
`SAC_ANY_NODE_SELECTOR, SAC_CDATA_SECTION_NODE_SELECTOR, SAC_CHILD_SELECTOR, SAC_COMMENT_NODE_SELECTOR, SAC_CONDITIONAL_SELECTOR, SAC_DESCENDANT_SELECTOR, SAC_DIRECT_ADJACENT_SELECTOR, SAC_ELEMENT_NODE_SELECTOR, SAC_NEGATIVE_SELECTOR, SAC_PROCESSING_INSTRUCTION_NODE_SELECTOR, SAC_PSEUDO_ELEMENT_SELECTOR, SAC_ROOT_NODE_SELECTOR, SAC_TEXT_NODE_SELECTOR`

Method Summary
`java.lang.String` `getData()` Returns the character data.

Methods inherited from interface org.w3c.css.sac.Selector
`getSelectorType`

Method Detail

### getData

    public java.lang.String getData()

  Returns the character data.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.